=== debian/changelog ===
asterisk-addons (1.6.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #542081).
    - Patch docs_destdir removed: applied upstream.
  * Use a @debian.org address.
  * dpkg v3. format.
  * Standards version 3.8.4. No change needed.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 25 May 2010 07:31:41 +0300

asterisk-addons (1.6.2.0-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release. (Closes: #534037)
  * New binary package: asterisk-mobile (chan_mobile.so).
  * Fixed download URL.
  * Patch docs_destdir: fix installing XML docs (though they're unused).
  * Patch datadir: set DATADIR under /usr/share/asterisk
  * Drop patch include_asterisk: not needed as of asterisk 1.4.18.
  * Drop patch nomarch: aparantly no longer needed.
  * Switch from dpatch to quilt.
  * Use libmysqlclient-dev (leave 15-dev for backports)
  * And kill the obsolete sarge backporting script that probably broke by that.

  [ Faidon Liambotis ]
  * Remove Kilian from Uploaders, hope to see you back!
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Bump build-time and runtime dependency on asterisk-1.6.2.
  * Bump debhelper compatibility level to 7.
  * Remove backports/etch.

  [ Victor Seva ]
  * Fix watch file.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 29 Dec 2009 09:09:51 +0200

asterisk-addons (1.4.7-1) unstable; urgency=high

  * New upsteam release.
    - Fixes a remote crash vulnerability in chan_ooh323
      (AST-2008-009/CVE-2008-2543).
  * Urgency high because of a security fix release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 05 Jun 2008 05:15:29 +0300

asterisk-addons (1.4.6-1) unstable; urgency=low

  [ Faidon Liambotis ]
  * New upstream release.
    - Adapt package to upstream's new directory structure.
  * Bump Standards-Version to 3.7.3, no changes.
  * Switch to asterisk-1.4 dependency.

  [ Tzafrir Cohen ]
  * Watching downloads.digium.com directly again.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 27 Apr 2008 23:03:43 +0300

asterisk-addons (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends for asterisk >= 1.4.15 since the API was changed.
  * Fix debian/watch by using a pkg-voip wrapper to avoid upstream's silly
    redirections. (Closes: #450278)

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 11 Dec 2007 23:31:12 +0200

asterisk-addons (1.4.4-1) unstable; urgency=low

  * New upstream release.
    - Fixes a security vulnerability of cdr_mysql (CVE-2007-5488)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 17 Oct 2007 13:28:02 +0300

asterisk-addons (1.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 15 Oct 2007 10:41:18 +0300

asterisk-addons (1.4.2-3) unstable; urgency=low

  * Don't Provide asterisk-h323 from asterisk-ooh323c, it's an entirely
    different package.
  * Fix package names of other H.323 channels in description of
    asterisk-ooh323c.
  * Don't install the ooh323c changelog on the other packages.
  * Add a README.Debian for asterisk-ooh323c that explains the differences
    between the different H.323 channel drivers, taken from the asterisk-oh323
    package.
  * Clarify ooh323c's description and mention the other H.323 drivers.
  * Remove Suggests for the other H.323 channels; they really aren't useful
    together and the package description points to them.
  * Make docs and examples globs more specific.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 11 Sep 2007 17:44:22 +0300

asterisk-addons (1.4.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch

  [ Faidon Liambotis ]
  * First upload to Debian. (Closes: #436404)
  * Add menuselect/mxml to debian/copyright.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 22 Aug 2007 01:51:30 +0300

asterisk-addons (1.4.2-1) unstable; urgency=low

  * New upstream release.

  [ Tzafrir Cohen ]
  * include_asterisk.dpatch: because our asterisk.h is under asterisk/ .
  * Package now has a decent makefile, so a simple 'make' and
    'make install' work.
  * Require asterisk 1.4 .

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Move debhelper to compatibility level 5.
  * Add forgotten epoch on asterisk-dev dependency.
  * Remove all sqlite references, this is in the main Asterisk package
    nowdays.
  * Adapt README.Debian to the present.
  * Patch configure script to check for asterisk.h in /usr/include/asterisk/.
  * debian/control: fix Descriptions, add dependency on the main asterisk
    package. Add suggestion of chan-h323 and chan-oh323 to chan-ooh323.
  * Fix debian/copyright.
  * Don't ignore "make clean" errors (fixes a lintian warning).

 -- Kilian Krause <kilian@debian.org>  Tue, 07 Aug 2007 18:34:58 +0200

asterisk-addons (1.2.5-1) UNRELEASED; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release
  * debian/control: add dpatch to fix building.
  * Remove old unused patches and fix building on i386 with amd64 kernel.
  * call the upstream changelog a changelog
  * ooh323c_destdir.dpatch: removed, as applied by upstream.
  * nomarch.dpatch: updated for new version
  * Remove useless build-dep on sqlite-dev.
  * Updated standard version to 3.7.2. Aparantly no rxtra change required.
  * Get newer config.guess and config.sub for asterisk-ooh323c .

  [ Kilian Krause ]
  * Remove alternatives from Build-Depends as buildd/sbuild will only honor
    the first package anyway. Rather use debian/backports/$DIST for backports
    as will be new buildserver.net standard.

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Mon, 22 Jan 2007 21:57:34 +0200

asterisk-addons (1.2.1-1) unstable; urgency=low

  * New upstream release (1.2.1)
  * Adding sqliteInt.h for re_sqlite. This is an internal interface file.
    Probably a bad idea.

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Sat, 31 Dec 2005 22:18:53 +0200

asterisk-addons (1.1.9.0beta1-1) unstable; urgency=low

  * Packaging add-ons from asterisk 1.2.0-beta1 


